# RAML Client

Generate a friendly client from your RAML **in runtime** for the server and the browser

## Install

```
npm install raml-client
```

## Usage

### In Node

```js
const API = require('raml-client')();

API.createClient('path/to/my.raml')
  .then((client) => {
    return API.authenticate(client, { clientId: 'clientId', clientSecret: 'clientSecret' });
  })
  .then((client) => {
    return client.endpoint.get({ query: 'term' });
  })
  .then((response) => {
    response.body; // my content
  });
```

### In the browser

```js
const ramlParser = require('raml-1-parser');
const API = require('raml-client')();

ramlParser.loadApi('path/to/my.raml')
  .then((raml) => {
    return API.createClient('clientName', raml.toJSON());
  })
  .then((client) => {
    return client.endpoint.get({ query: 'term' });
  })
  .then((response) => {
    response.body; // my content
  });
```
