module.exports = {
  omit,
  isObject
};

function omit(object, ...keysToOmit) {
  if (!isObject(object)) {
    throw new Error('`object` param must be an object.');
  }

  const result = Object.assign({}, object);

  keysToOmit.forEach(key => delete result[key]);

  return result;
}

function isObject(item) {
  return (item && typeof item === 'object' && !Array.isArray(item));
}
